<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\shops;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\shops\ShopOrdersLists;
use app\adminapi\logic\shops\ShopOrdersLogic;
use app\adminapi\validate\shops\ShopOrdersValidate;


/**
 * ShopOrders控制器
 * Class ShopOrdersController
 * @package app\adminapi\controller\shops
 */
class ShopOrdersController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/08/04 13:49
     */
    public function lists()
    {
        return $this->dataLists(new ShopOrdersLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/08/04 13:49
     */
    public function add()
    {
        $params = (new ShopOrdersValidate())->post()->goCheck('add');
        $result = ShopOrdersLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(ShopOrdersLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/08/04 13:49
     */
    public function edit()
    {
        $params = (new ShopOrdersValidate())->post()->goCheck('edit');
        $result = ShopOrdersLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(ShopOrdersLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/08/04 13:49
     */
    public function delete()
    {
        $params = (new ShopOrdersValidate())->post()->goCheck('delete');
        ShopOrdersLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/08/04 13:49
     */
    public function detail()
    {
        $params = (new ShopOrdersValidate())->goCheck('detail');
        $result = ShopOrdersLogic::detail($params);
        return $this->data($result);
    }


    public function logistic()
    {
        $params = (new ShopOrdersValidate())->goCheck('detail');
        $result = ShopOrdersLogic::logisticInfo($params);
        return $this->data($result);
    }

    public function saveLogistic()
    {
        $params = (new ShopOrdersValidate())->post()->goCheck('savelogistic');
        $result = ShopOrdersLogic::saveLogistic($params);
        if (false === $result) {
            return $this->fail(ShopOrdersLogic::getError());
        }
        return $this->success('成功', [], 1, 1);
    }
}